NAME
zl - zenlisp interpreter

USAGE
zl [-L] [-bgi] [-n nodes] [image]

DESCRIPTION
Zenlisp is an interpreter for a purely symbolic and applicative dialect of LISP. It may be considered an implementation of pure LISP plus global definitions.

The zl command starts the interpreter.

OPTIONS
-b
Batch mode. In batch mode, no greeting message is printed, and the interpreter exists in case of an error rather than returning to the read-eval-print loop.

-g
Verbose GC. Report number of free nodes after each GC.

-i
Init mode. Init mode is used to build the initial image file. No image is loaded. Do not use this option.

-n nodes
Specify the size of the node pool. Larger pools (up to some limit) increase performance. The memory footprint of the zenlisp workspace is calculated as follows:

nodes * (sizeof(int) * 2 + 1)

-L
Display the terms of use (license) and exit.

If an image file name is passed to the zl command, the specified image is loaded instead of the default image.

FURTHER INFORMATION
Further information about zenlisp is not available in manual page format. The reference manual in ASCII format can be found in the file

PREFIX/share/doc/zenlisp/zenlisp.txt

(The actual location of PREFIX may vary on your system. By default, it is /usr/local.)

FILES
PREFIX/share/zenlisp
The extension libraries and example programs reside here.

ENVIRONMENT
ZENSRC
The location of the libraries and example programs. (load ~file) loads file from $ZENSRC/file.

AUTHOR
Nils M Holm <nmh@t3x.org>